"""Load the latest connect version on disk."""

# Import built-in modules
from distutils.version import LooseVersion

# Import built-in modules
import os

# Import third-party modules
import nuke


def get_latest_connect_version():
    """Append the latest installed connect version from disk."""
    dirs = os.listdir(os.path.dirname(__file__))
    connect_versions = sorted([
        LooseVersion(d)
        for d in dirs
        if "connect_v" in d
        and not d.endswith("--")
    ])
    nuke.pluginAddPath(str(connect_versions[-1]))
